Subject: Re: linux-next: build failure after merge of the drm-misc tree

From: Ville Syrjälä <[email-masked]>
Date: Wed, 22 Jun 2022 16:55:00 +0300

On Wed, Jun 22, 2022 at 11:04:51AM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> On Tue, 21 Jun 2022 10:48:17 +0300 Ville Syrjälä <[email-masked]> wrote:
> >
> > On Tue, Jun 21, 2022 at 12:36:56PM +1000, Stephen Rothwell wrote:
> > > 
> > > After merging the drm-misc tree, today's linux-next build (x86_64
> > > allmodconfig) failed like this:
> > > 
> > > drivers/gpu/drm/xlnx/zynqmp_disp.c: In function 'zynqmp_disp_create_planes':
> > > drivers/gpu/drm/xlnx/zynqmp_disp.c:1260:17: error: implicit declaration of function 'drm_plane_create_zpos_immutable_property'; did you mean 'drm_plane_create_scaling_filter_property'? [-Werror=implicit-function-declaration]
> > >  1260 |                 drm_plane_create_zpos_immutable_property(&layer->plane, i);
> > >       |                 ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> > >       |                 drm_plane_create_scaling_filter_property
> > > drivers/gpu/drm/xlnx/zynqmp_disp.c:1262:25: error: implicit declaration of function 'drm_plane_create_alpha_property'; did you mean 'drm_plane_create_color_properties'? [-Werror=implicit-function-declaration]
> > >  1262 |                         drm_plane_create_alpha_property(&layer->plane);
> > >       |                         ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
> > >       |                         drm_plane_create_color_properties
> > > cc1: all warnings being treated as errors
> > > 
> > > Presumably caused by one of the commits that dropped includes from
> > > drm-ctrc.h.
> > > 
> > > I have used the drm-misc tree from next-20220620 for today.  
> > 
> > Sorry about that. Looks like my .config was missing some
> > dependencies of the zynqmp driver so it wasn't getting built.
> > I'll cook up a fix.
> 
> And today, I get these:
> 
> In file included from include/linux/list.h:5,
>                  from include/linux/preempt.h:11,
>                  from include/linux/spinlock.h:55,
>                  from include/linux/mmzone.h:8,
>                  from include/linux/gfp.h:6,
>                  from include/linux/mm.h:7,
>                  from include/linux/hyperv.h:17,
>                  from drivers/gpu/drm/hyperv/hyperv_drm_modeset.c:6:
> drivers/gpu/drm/hyperv/hyperv_drm_modeset.c: In function 'hyperv_blit_to_vram_rect':
> drivers/gpu/drm/hyperv/hyperv_drm_modeset.c:25:48: error: invalid use of undefined type 'struct drm_framebuffer'
<snip>
> cc1: all warnings being treated as errors
> 
> Please do some allmodconfig builds.

Ugh, I really wish kconfig had a reasonable way to enable exactly
the things I want rather than having to build absolutely everything...

Anyways, someone else beat me to a fix:
https://lists.freedesktop.org/archives/dri-devel/2022-June/360608.html

Sorry for the continued woes.

-- 
Ville Syrjälä
Intel